mscorlib 2.0.0.0 4.0.0.0 System.Security.AccessControl.QualifiedAce To be added.

Controls access to Directory Services objects. This class represents an Access Control Entry (ACE) associated with a directory object.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initiates a new instance of the class.

  The inheritance, inheritance propagation, and auditing conditions for the new Access Control Entry (ACE).
  The use of the new ACE.
  The access mask for the ACE.
  The associated with the new ACE.
  Whether the and parameters contain valid object GUIDs.
  A GUID that identifies the object type to which the new ACE applies.
  A GUID that identifies the object type that can inherit the new ACE.
  true if the new ACE is a callback type ACE.
  Opaque data associated with the new ACE. This is allowed only for callback ACE types. The length of this array must not be greater than the return value of the method.
- Property
  2.0.0.0
  4.0.0.0
  System.Int32 To be added. To be added.

  Gets the length, in bytes, of the binary representation of the current object. This length should be used before marshaling the ACL into a binary array with the method.

- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added.

  Marshals the contents of the object into the specified byte array beginning at the specified offset.

  The byte array into which the contents of the is marshaled. The offset at which to start marshaling.
- Property
  2.0.0.0
  4.0.0.0
  System.Guid To be added.

  If the value of the parameter does not contain the value , this property is ignored.

  Gets or sets the GUID of the object type that can inherit the Access Control Entry (ACE) that this object represents.

- Method
  2.0.0.0
  4.0.0.0
  System.Int32 `` To be added.

  Returns the maximum allowed length, in bytes, of an opaque data BLOB for callback Access Control Entries (ACEs).

  The maximum allowed length, in bytes, of an opaque data BLOB for callback Access Control Entries (ACEs).

  True if the is a callback ACE type.
- Property
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.ObjectAceFlags To be added. To be added.

  Gets or sets flags that specify whether the and properties contain values that identify valid object types.

- Property
  2.0.0.0
  4.0.0.0
  System.Guid To be added.

  If the value of the parameter does not contain the value , this property is ignored.

  Gets or sets the GUID of the object type associated with this object.